Subject: Re: 25.0.50; package-install-{file,from-buffer} broken

From: Mark Oteiza <[email-masked]>
Date: Thu, 12 Feb 2015 20:04:49 -0500

On 12/02/15 at 07:41pm, Mark Oteiza wrote:
> 
> In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
>  of 2015-02-12 on logos
> Repository revision: e39d96ebe4c342885433afc28232197ce398fe71
> 
> Hi,
> 
> These functions are broken on master.  For instance,
> 
> 1. ~ $ git clone http://mumble.net/~campbell/git/paredit.git
> 2. emacs -Q
> 3. M-x package-install-file RET ~/paredit RET
> 
> Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
>   package-install-from-buffer()
>   package-install-file("~/paredit/")
>   funcall-interactively(package-install-file "~/paredit/")
>   call-interactively(package-install-file record nil)
>   command-execute(package-install-file record)
>   execute-extended-command(nil "package-install-file" "package-install-fi")
>   funcall-interactively(execute-extended-command nil "package-install-file" "package-install-fi")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)

Nevermind, I think this is invalid--misleading at least.  A better error
message would be good.

paredit just does not have a valid Version: header.  Even after fixing
it, I was also getting a message like "no subdir alist in *temp*", but
I haven't pinned down the origin of that.